import config = require('../config');
export = () => {
  return async (ctx, next) => {
    const ip = ctx.ip;
    const key = `client_ip_limit_${ip}`;
    const limit = Number(await ctx.$redis.get(key)) || 0;
    if (limit > config.limit.times) {
      ctx.throw(403, '请求频次过高');
    };
    ctx.$redis.setex(key, config.limit.time, limit + 1);
    await next();
  };
};
